import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableModuleView, AdaptableObjectView, IModule } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
import { AdaptableObject } from '../AdaptableState/Common/AdaptableObject';
import { DataSet } from '../AdaptableOptions/DataSetOptions';
export declare class DataSetModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    onAdaptableReady(): void;
    getModuleAdaptableObjects(): AdaptableObject[];
    hasNamedQueryReferences(): boolean;
    toView(dataSet: DataSet): AdaptableObjectView;
    toViewAll(): AdaptableObjectView[];
    getViewProperties(): AdaptableModuleView;
}
